Package ghidra.app.plugin.match

# Class MatchSet

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractSet<E>
java.util.HashSet<Match>
ghidra.app.plugin.match.MatchSet

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Match>`, `Collection<Match>`, `Set<Match>`

public class MatchSet extends HashSet<Match>
class that contains a collection of matches.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `otherName`
  `final String`
  `thisName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MatchSet(String thisProgramName, String otherProgramName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Match[]`
  `getMatches()`
  `Object[]`
  `getResultsArray(Match m)`

  ### Methods inherited from class java.util.HashSet

  `add, clear, clone, contains, isEmpty, iterator, remove, size, spliterator, toArray, toArray`

  ### Methods inherited from class java.util.AbstractSet

  `equals, hashCode, removeAll`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, containsAll, retainAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.Set

  `addAll, containsAll, equals, hashCode, removeAll, retainAll`

- ## Field Details

  - ### thisName

    public final String thisName

  - ### otherName

    public final String otherName

- ## Constructor Details

  - ### MatchSet

    public MatchSet(String thisProgramName, String otherProgramName)
    Parameters:
      `thisProgramName` - Name of this program (i.e. the program from which the matching was initiated.
      `otherProgramName` - Name of the program being matched.

- ## Method Details

  - ### getMatches

    public Match[] getMatches()
    Returns:
      The sorted array of matches.

  - ### getResultsArray

    public Object[] getResultsArray(Match m)
    Returns:
      The match as an Object array.